import java.util.ArrayList;
import java.util.HashMap;
import java.util.Properties;
import java.util.StringTokenizer;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.ObjectMessage;
import javax.naming.Context;
import javax.naming.NamingException;

import org.jboss.ejb3.annotation.Pool;
import org.jboss.ejb3.annotation.ResourceAdapter;


/**
 * @author <a href="mailto:hushen.savani@elitecore.com">Hushen Savani</a>
 * 
 * Elitecore Technologies Ltd.
 * 
 * @description This is Message Driven Bean which will listen to the <b>Management HornetQ Queue</b>.
 *  
 */

@MessageDriven(name = "ManagementQueueListenerMDB",
			   activationConfig = {
									@ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue"),
									@ActivationConfigProperty(propertyName = "destination", propertyValue = "queue/secondary.mocmManagementQueue"),
									@ActivationConfigProperty(propertyName = "maxSession", propertyValue = "30")
								  })
@Pool(value=org.jboss.ejb3.annotation.defaults.PoolDefaults.POOL_IMPLEMENTATION_THREADLOCAL,maxSize=30,timeout=10000)
@TransactionManagement(value= TransactionManagementType.CONTAINER)
@TransactionAttribute(value= TransactionAttributeType.NOT_SUPPORTED)
@ResourceAdapter("jms-ra.rar")
public class ManagementQueueListenerMDB implements MessageListener {

	private final String strLogPrefix = "MANAGEMENT_QUEUE_LISTNER_MDB";
	
		
	/**
	 * This method will be called when the message will arrive in 'mocmManagementQueue' HornetQ Queue. 
	 */   
	public void onMessage(Message msgMessage) {
		
		String strMethodPrefix = "onMessage():: ";
		
		//Business Logic

	}		

}
